#
# spec file for package yast2-config-tv (Version 2.4.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-lib-wizard yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-lib-wizard yast2-testsuite ycpdoc

Name:         yast2-config-tv
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-tv yast2-db-tv yast2-lib-wizard yast2-lib-sequencer yast2-agent-audio yast2-config-package-manager
BuildArchitectures:	noarch
Summary:      YaST2 - component for TV card configuration
Version:      2.4.10
Release:      24
Source0:	yast2-config-tv-2.4.10.tar.bz2

%description
This package contains the YaST2 component for TV card configuration.

Authors:
--------
    Jan Holesovsky <kendy@suse.cz>

SuSE series: yast

%prep
%setup -n yast2-config-tv-2.4.10

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/include/tv
/usr/lib/YaST2/include/tv/*
/usr/lib/YaST2/clients/tv.ycp
/usr/lib/YaST2/clients/tv_*.ycp
/usr/lib/YaST2/menuentries/menuentry_tv.ycp
%dir /usr/share/doc/packages/yast2-config-tv
/usr/share/doc/packages/yast2-config-tv/*

%changelog -n yast2-config-tv
* Tue Sep 18 2001 - kendy@suse.cz
- Name of the icon changed to tv.ycp (bugzilla #10656)
* Fri Sep 14 2001 - kendy@suse.cz
- Do not write the configuration after [Finish] if it was not
  changed (bugzilla #10664).
* Tue Sep 11 2001 - kendy@suse.cz
- Do you want to install kwintv? Prossibilities: [Yes] [No]
  in stead of [Continue] [Cancel] (bugzilla #10331)
- Initialize kv4lsetup if kwintv is installed
* Fri Aug 31 2001 - kendy@suse.cz
- Writing "# YaST2 configured TV card" to modules.conf in front
  of each char-major-81-x
* Wed Aug 29 2001 - kendy@suse.cz
- added libycp-devel to # neededforbuild
* Mon Aug 27 2001 - kendy@suse.cz
- When editing a detected card, add it to the list in the Manual
  screen and preselect it.
- Preselect sound card when editing.
- Check for KWinTV after the configuration and try to install it.
- More small fixes...
* Tue Aug 21 2001 - kendy@suse.cz
- UI(`Blah()) and SCR(`Bleh()) changed to UI::Blah() and SCR::Bleh()
- Preselect tuner in the Manual screen
* Mon Aug 20 2001 - kendy@suse.cz
- Added a summary module (tv_summary.ycp)
- More tests
- Fixes in audio setting (and more minor fixes)
* Mon Aug 13 2001 - kendy@suse.cz
- Detection of TV cards
- Manual configuration: Details
- Reading/writing parameters works
- Editing a TV card
- Working testsuite and lots of tests
- Improved menuentry
* Mon Jul 30 2001 - kendy@suse.cz
- Help texts
- Deleting a TV card
- Connection to .audio and Sound module (not working too much)
- Beginning of Manual configuration: details (connection to ag_modinfo)
- Selection of tuner
* Mon Jul 23 2001 - kendy@suse.cz
- Basic workflow is implemented
- Manual configuration is possible
* Fri Jul 13 2001 - kendy@suse.cz
- initial version
